Error on blender

alright not sure if this is the right spot for this or not but here goes, I just downloaded Blender but I got this
Compiled with Phython version 2.5.
‘import site’ failed; use -v for traceback
Checking for installed Pythons… No installed Pythons found.
Only built-in modules are available. Some scripts may not run.
Continuing happily.
I can get into blender but when I try to click on something my screen gets all messed up. Does anyone have any ideas on how to help me? thanks

You have to download python 2.5 (http://www.python.org/download/releases/2.5.1/). If it still doesn’t work after you have python installed, uninstall blender and then reinstall it.

You know, I and others have suggested it before, but I still don’t know why they don’t fix that stupid message with something people can read. Something like:


Blender thinks you do not have Python 2.5 installed.
You don't need it to run Blender, but Blender is more programmable with it.
If you want it, get it from <http://www.python.org/>.
If Blender is mistaken, visit <http://blenderartists.org/forum/showthread?t=7412> for help.

My Arrogant $0.03.

ok thanks a lot i’ll give that a try and see what happens

[QUOTEI can get into blender but when I try to click on something my screen gets all messed up. Does anyone have any ideas on how to help me? thanks][/QUOTE]

If your screen is messing up, it is NOT due to python.

There are lots of threads about video problems. Usual fixes, depending on platform, are installing latest/earlier drivers, turning down hardware acceleration, turning off cursor shadows.

if you are in Linux ,you will need to get the hardware accelerated 3D drivers working, or you need to use the static version of blender if you dont have a 3d card.